 contrib/sepgsql/label.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/contrib/sepgsql/label.c b/contrib/sepgsql/label.c
index 5e87051..ef7661c 100644
--- a/contrib/sepgsql/label.c
+++ b/contrib/sepgsql/label.c
@@ -532,7 +532,10 @@ sepgsql_object_relabel(const ObjectAddress *object, const char *seclabel)
 			break;
 
 		default:
-			elog(ERROR, "unsupported object type: %u", object->classId);
+			ereport(ERROR,
+					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
+					 errmsg("sepgsql provider does not support labels on %s",
+							getObjectTypeDescription(object))));
 			break;
 	}
 }
